{
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "schemes": [
    "https"
  ],
  "swagger": "2.0",
  "info": {
    "title": "JNX Robot Control Manager API Documentation.",
    "version": "1.0.0"
  },
  "host": "jannex",
  "basePath": "/v1",
  "paths": {
    "/robots": {
      "post": {
        "description": "This is the first request from the robot. It will be used to identify the robot.\n",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "tags": [
          "robots"
        ],
        "summary": "First request from robot.",
        "operationId": "robotsFirstRequest",
        "parameters": [
          {
            "description": "First request body.",
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/FirstRequestBody"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/SuccessResponse"
            }
          }
        }
      }
    }
  },
  "definitions": {
    "FirstRequestBody": {
      "type": "object",
      "properties": {
        "Id": {
          "description": "robot id",
          "type": "string"
        },
        "Type": {
          "description": "robot type (0 = rex, 1 = yeet)",
          "type": "integer",
          "format": "uint8"
        }
      },
      "x-go-package": "jannex/robot-control-manager/modules/structs"
    },
    "SuccessResponse": {
      "type": "object",
      "properties": {
        "Status": {
          "type": "string"
        }
      },
      "x-go-package": "jannex/robot-control-manager/modules/structs"
    }
  }
}